> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powertokens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 查询视频生成任务

> 查询视频生成任务的状态。

> 仅支持查询最近 7 天的任务记录，时间区间为 [T-7天, T)，其中 T 为请求发起时刻的 UTC 时间戳（精确到秒）。注意：视频 URL 有效期为 14 天，请及时下载或转存。



## OpenAPI

````yaml api-reference/zh-Hans/zmodelVideo/byteplus/seedance-tasks-query.json GET /byteplus/api/v3/contents/generations/tasks/{id}
openapi: 3.0.1
info:
  title: Seedance 查询视频生成任务
  version: 1.0.0
  description: >-
    查询视频生成任务的状态。


    > 仅支持查询最近 7 天的任务记录，时间区间为 [T-7天, T)，其中 T 为请求发起时刻的 UTC 时间戳（精确到秒）。注意：视频 URL
    有效期为 14 天，请及时下载或转存。


    ## 鉴权


    本接口支持 API Key 鉴权，详见鉴权认证方式。
servers:
  - url: https://api.powertokens.ai
    description: 火山方舟 API 服务地址
security: []
paths:
  /byteplus/api/v3/contents/generations/tasks/{id}:
    get:
      summary: request
      description: >-
        查询视频生成任务的状态。


        > 仅支持查询最近 7 天的任务记录，时间区间为 [T-7天, T)，其中 T 为请求发起时刻的 UTC 时间戳（精确到秒）。注意：视频 URL
        有效期为 14 天，请及时下载或转存。
      operationId: querySeedanceVideoTask
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
          description: 请求内容类型。
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: |-
            您需要查询的视频生成任务的 ID 。

            > 说明：上面参数为Query String Parameters，在URL String中传入。
      responses:
        '200':
          description: 提交成功，返回视频任务对象。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoTaskResponse'
        '400':
          description: 请求参数不合法。
        '401':
          description: 鉴权失败。
        '429':
          description: 请求频率超限。
        '500':
          description: 服务端内部错误。
      security:
        - BearerAuth: []
components:
  schemas:
    VideoTaskResponse:
      type: object
      properties:
        id:
          type: string
          description: >-
            视频生成任务 ID 。仅保存 7 天（从 created at 时间戳开始计算），超时后将自动清除。


            * 设置 "draft": true，为 Draft 视频任务 ID。

            * 设置 "draft": false，为正常视频任务 ID。


            创建视频生成任务为异步接口，获取 ID 后，需要通过查询视频生成任务 API 来查询视频生成任务的状态。任务成功后，会输出生成视频的
            video_url。
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: '在请求头中传入 `Authorization: Bearer <token>`。'

````